## org.hibernate.sql.ordering.antlr
Interface Node

All Known Implementing Classes:
  CollationSpecification, NodeSupport, OrderByFragment, OrderingSpecification, SortKey, SortSpecification

    public interface Node

General contract for AST nodes.

Author:
  Steve Ebersole

Method Summary
`String` `getDebugText()` Get a string representation of this node usable for debug logging or similar.
`String` `getRenderableText()` Build the node's representation for use in the resulting rendering.
`String` `getText()` Get the intrinsic text of this node.

Method Detail

### getText

    String getText()

  Get the intrinsic text of this node.

  Returns:
    The node's text.

### getDebugText

    String getDebugText()

  Get a string representation of this node usable for debug logging or similar.

  Returns:
    The node's debugging text.

### getRenderableText

    String getRenderableText()

  Build the node's representation for use in the resulting rendering.

  Returns:
    The renderable text.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.